Skip to main content

Directive All Ep

POST 

/v1/directive/all

Directives As Of

Retrieves directive (curve group) state effective at the given date and time, including the API-supplied percentages and any manual overrides applied on top of them.

Required Scopes (ipd.r)

Request

as_of: datetime | None
The date and time for which to retrieve effective directives. Defaults to now if omitted.


curve_group_ids: list[str] | None
A list of directive (curve group) ids to filter by. Can be left empty.


curve_group_names: list[str] | None
A list of directive (curve group) names to filter by. Can be left empty.


terminals: list[str] | None
A list of terminal names. Can be left empty.


suppliers: list[str] | None
A list of supplier names. Can be left empty.


products: list[str] | None
A list of product names. Can be left empty.


updated_after: datetime | None
Only return directives updated at or after this date and time. Can be left empty.


updated_before: datetime | None
Only return directives updated at or before this date and time. Can be left empty.



Response

Returns a list of directive objects with the following properties:

curve_group_id: str
Unique identifier for the directive (curve group).


name: str
The directive name.


supplier_id: str | None
Unique identifier for the supplier.


supplier_ids: list[str]
All supplier ids associated with the directive.


terminal_id: str | None
Unique identifier for the terminal.


terminal_ids: list[str]
All terminal ids associated with the directive.


product_id: str | None
Unique identifier for the product.


product_ids: list[str]
All product ids associated with the directive.


contract: str | None
The contract associated with the directive.


directive_min: float | None
The minimum bound of the directive.


directive_max: float | None
The maximum bound of the directive.


active_contract_volume: float | None
The active contract volume for the directive.


contract_start: datetime | None
The start of the contract window.


contract_end: datetime | None
The end of the contract window.


daily_percent / weekly_percent / monthly_percent: float
The effective percentage for each period (the override value if one is set, otherwise the API value).


api_daily_percent / api_weekly_percent / api_monthly_percent: float | None
The percentage supplied by the API integration for each period, before any manual override.


daily_percent_updated_by / weekly_percent_updated_by / monthly_percent_updated_by: str | None
User who last set the effective percentage for each period.


daily_percent_updated_on / weekly_percent_updated_on / monthly_percent_updated_on: datetime | None
The date and time the effective percentage for each period was last set.


api_daily_percent_updated_by / api_weekly_percent_updated_by / api_monthly_percent_updated_by: str | None
User/integration who last set the API percentage for each period.


api_daily_percent_updated_on / api_weekly_percent_updated_on / api_monthly_percent_updated_on: datetime | None
The date and time the API percentage for each period was last set.


daily_allocation / weekly_allocation / monthly_allocation: float | None
The allocated volume for each period.


daily_start_allocation / weekly_start_allocation / monthly_start_allocation: float | None
The starting allocated volume for each period.


updated_on: datetime | None
The date and time the directive was last updated.


updated_by: str | None
User who last updated the directive.


as_of: datetime | None
The date and time the directive state reflects.

Responses

Successful Response

[
{
"curve_group_id": "string",
"name": "string",
"owner": "string",
"supplier_id": "string",
"supplier_ids": [
"string"
],
"terminal_id": "string",
"terminal_ids": [
"string"
],
"product_id": "string",
"product_ids": [
"string"
],
"contract": "string",
"directive_min": 0,
"directive_max": 0,
"active_contract_volume": 0,
"contract_start": "2026-08-12T21:46:34.303Z",
"contract_end": "2026-08-12T21:46:34.303Z",
"daily_percent": 0,
"api_daily_percent": 0,
"daily_percent_updated_by": "string",
"daily_percent_updated_on": "2026-08-12T21:46:34.303Z",
"api_daily_percent_updated_by": "string",
"api_daily_percent_updated_on": "2026-08-12T21:46:34.303Z",
"daily_allocation": 0,
"daily_start_allocation": 0,
"weekly_percent": 0,
"api_weekly_percent": 0,
"weekly_percent_updated_by": "string",
"weekly_percent_updated_on": "2026-08-12T21:46:34.303Z",
"api_weekly_percent_updated_by": "string",
"api_weekly_percent_updated_on": "2026-08-12T21:46:34.303Z",
"weekly_allocation": 0,
"weekly_start_allocation": 0,
"monthly_percent": 0,
"api_monthly_percent": 0,
"monthly_percent_updated_by": "string",
"monthly_percent_updated_on": "2026-08-12T21:46:34.303Z",
"api_monthly_percent_updated_by": "string",
"api_monthly_percent_updated_on": "2026-08-12T21:46:34.303Z",
"monthly_allocation": 0,
"monthly_start_allocation": 0,
"updated_on": "2026-08-12T21:46:34.303Z",
"updated_by": "string",
"as_of": "2026-08-12T21:46:34.303Z"
}
]
Loading...